## bytemark-healthcheck 2.6.15

=== debian/changelog ===
bytemark-healthcheck (2.6.15) stable; urgency=medium

  * ANy output produced will now go to syslog, rather than via email.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 2 May 2017 16:05:02 +0200

bytemark-healthcheck (2.6.14) stable; urgency=high

  * Improve error-detection around job-execution.
  * Improve ability to read or ignore bad state files.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 2 May 2017 16:05:02 +0200

bytemark-healthcheck (2.6.13) stable; urgency=high

  * Drop the SSD-testing.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 17 May 2017 20:55:02 +0000

bytemark-healthcheck (2.6.12) stable; urgency=medium

  * Added SSD-monitoring and explicit dependency upon smartmontools.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 17 May 2017 09:22:09 +0000

bytemark-healthcheck (2.6.11) stable; urgency=low

  * Implemented new command-line flag `--clear-all`.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 15 Dec 2016 15:22:51 +0000

bytemark-healthcheck (2.6.10) stable; urgency=low

  * New release with a new test for IPv6 duplicate-addresses.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 25 Nov 2016 14:00:41 +0000

bytemark-healthcheck (2.6.9) stable; urgency=low

  * Don't alert on upgradable packages which are "held".

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 14 Nov 2016 14:44:41 +0000

bytemark-healthcheck (2.6.8) stable; urgency=low

  * Handle unattended-upgrades being missing.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 10 Nov 2016 10:22:01 +0000

bytemark-healthcheck (2.6.7) stable; urgency=low

  * MegaRAID: Don't alert for GHS (Global-hot-spare) drives.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 16 Sep 2016 13:00:31 +0000

bytemark-healthcheck (2.6.6) stable; urgency=low

  * New release to include the MegaRAID spares-checking.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 14 Sep 2016 14:22:41 +0000

bytemark-healthcheck (2.6.5) stable; urgency=low

  * Added error-detection for spare drives in software RAID.
  * Raise the threshold for memory-scrubbing errors. (1 -> 5).

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 1 Sep 2016 15:22:51 +0000

bytemark-healthcheck (2.6.4) stable; urgency=low

  * Our process-checker will correctly handle malformed UTF-8.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 05 Aug 2016 10:00:01 +0000

bytemark-healthcheck (2.6.3) stable; urgency=low

  * Only alert if we see THREE "MCE Memory errors".

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 05 Jul 2016 11:33:11 +0000

bytemark-healthcheck (2.6.2) stable; urgency=low

  * Catch more errors relating to iterating over processes.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 05 May 2016 16:17:18 +0000

bytemark-healthcheck (2.6.1) stable; urgency=low

  * Updated to remove the link to the old update-checker.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 25 Apr 2016 12:33:21 +0000

bytemark-healthcheck (2.6) stable; urgency=low

  * New release:
    - Remove the `apt-get update` check; it fails on squeeze.
    - Added test to look for a running syslog process.

 -- Steve Kemp <steve@bytemark.co.uk>  Sat, 23 Apr 2016 09:09:09 +0000

bytemark-healthcheck (2.5) stable; urgency=low

  * New release:
    - Remove the clear-only obsolete heartbeat.
    - Change the raising of the heartbeat alert to account for the time
      taken running the tests.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 16 Feb 2016 10:44:11 +0000

bytemark-healthcheck (2.4) stable; urgency=low

  * Simplify our post-install logic.
  * Install a temporary "clear heartbeat" script beneath /etc/cron.d

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 11 Feb 2016 06:33:06 +0000

bytemark-healthcheck (2.3) stable; urgency=low

  * Changed to raising a heartbeat after four minutes.
  * Remove obsolete /etc/cron.d/byteamrk-heartbeat file, if present.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 10 Feb 2016 15:44:51 +0000

bytemark-healthcheck (2.2) stable; urgency=low

  * Changed to native-package.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 19 Jan 2016 16:16:16 +0000

bytemark-healthcheck (2.1) stable; urgency=low

  * Bump a new release.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 19 Jan 2016 16:00:16 +0000

bytemark-healthcheck (2.0-4) stable; urgency=low

  * A new release to include James Lawrie's postfix-mailq check-changes.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 19 Jan 2016 15:33:51 +0000

bytemark-healthcheck (2.0-3) stable; urgency=low

  * The `apt-update_check` is now much simpler.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 19 Oct 2015 10:44:01 +0000

bytemark-healthcheck (2.0-2) stable; urgency=low

  * The `apt-upgrade_check` only alerts if there are pending security
    upgrades, rather than all pending package upgrades.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 14 Oct 2015 14:33:41 +0000

bytemark-healthcheck (2.0-1) stable; urgency=low

  * New release.
  * Only alert if >1 package upgrade is pending.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 13 Oct 2015 14:33:41 +0000

bytemark-healthcheck (1.9-20) stable; urgency=low

  * Fixed the spelling on the pending-package-upgrades alert.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 13 Oct 2015 13:44:31 +0000

bytemark-healthcheck (1.9-19) stable; urgency=low

  * Add a check on `apt-get upgrade` to reveal pending package upgrades.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 13 Oct 2015 13:33:31 +0000

bytemark-healthcheck (1.9-18) stable; urgency=low

  * Add a check on `apt-get update` age.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 13 Oct 2015 09:44:09 +0000

bytemark-healthcheck (1.9-17) stable; urgency=low

  * A final update on raising alerts for MCE - show the first match
    in the summary.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 18 Aug 2015 13:00:00 +0000

bytemark-healthcheck (1.9-16) stable; urgency=low

  * Updated MCE-error-handling, to show more detail in the detail-field.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 18 Aug 2015 12:55:21 +0000

bytemark-healthcheck (1.9-15) stable; urgency=low



## bytemark-healthcheck 2.6.19ubuntu1~12465.gbp4bf7ba

=== debian/changelog ===
bytemark-healthcheck (2.6.19ubuntu1~12465.gbp4bf7ba) UNRELEASED; urgency=medium

  ** SNAPSHOT build @4bf7ba90210e59d1cc7a70e4e0dd2eec7a0a48f5 **

  [ Steve Kemp ]
  * Added tests for NTP-handling.
  * Rubocop fixes
  * Enable the tests for the `bad_ipv6` check.
  * Updated the code-comment.
  * rubycop fixup for the check.
  * Abort if we don't find a suitable `get-ntp-offset`.
  * Handle integer conversion more sanely.
  * Updated to resolve the syntax-error.
  * We expect a float to be output, not an integer
  * Updated alert title/detail.
  * Updated comment regarding expected output.
  * Re-enable tests for bad_ipv6 flags.
  * Ensure that we can parse our output into a float.
  * Added a test that we get an exception when non-float output is made.
  * Ensure that we use absolute time for checking.

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Wed, 26 Jul 2017 07:36:23 +0000

bytemark-healthcheck (2.6.19) stable; urgency=high

  * Updated to ensure that NTP-checking doesn't have an error with round

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 26 Jul 2017 09:00:09 +0200

bytemark-healthcheck (2.6.18) stable; urgency=low

  * NTP-monitoring is IPv4-only, catch exceptions on bigvint.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 25 Jul 2017 12:44:21 +0200

bytemark-healthcheck (2.6.17) stable; urgency=low

  * Added NTP-monitoring.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 24 Jul 2017 12:55:21 +0200

bytemark-healthcheck (2.6.16) stable; urgency=low

  * Ignore aufs-filesystems when checking for free disk-space.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jun 2017 08:55:08 +0200

## bytemark-healthcheck 2.6.20~12463.5b1adaf

=== debian/changelog ===
bytemark-healthcheck (2.6.20~12463.5b1adaf) stable; urgency=high

  **** SNAPSHOT BUILD ****

 -- Chris Elsworth <chris.elsworth@bytemark.co.uk>  Wed, 26 Jul 2017 08:22:13 +0100

## bytemark-healthcheck 2.6.20~12465.gbp4bf7ba

=== debian/changelog ===
bytemark-healthcheck (2.6.20~12465.gbp4bf7ba) UNRELEASED; urgency=medium

  ** SNAPSHOT build @4bf7ba90210e59d1cc7a70e4e0dd2eec7a0a48f5 **

  [ Steve Kemp ]
  * Added tests for NTP-handling.
  * Rubocop fixes
  * Enable the tests for the `bad_ipv6` check.
  * Updated the code-comment.
  * rubycop fixup for the check.
  * Abort if we don't find a suitable `get-ntp-offset`.
  * Handle integer conversion more sanely.
  * Updated to resolve the syntax-error.
  * We expect a float to be output, not an integer
  * Updated alert title/detail.
  * Updated comment regarding expected output.
  * Re-enable tests for bad_ipv6 flags.
  * Ensure that we can parse our output into a float.
  * Added a test that we get an exception when non-float output is made.
  * Ensure that we use absolute time for checking.

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Wed, 26 Jul 2017 07:36:29 +0000

## bytemark-healthcheck 2.6.21~12480.4945aa4

=== debian/changelog ===
bytemark-healthcheck (2.6.21~12480.4945aa4) stable; urgency=low

  **** SNAPSHOT BUILD ****

 -- Chris Elsworth <chris.elsworth@bytemark.co.uk>  Wed, 26 Jul 2017 11:51:22 +0100

bytemark-healthcheck (2.6.20) stable; urgency=low

  * Removed duplicate code in many checks, and added/enabled extra test-cases.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 26 Jul 2017 13:00:31 +0200

## bytemark-healthcheck 2.6.22

=== debian/changelog ===
bytemark-healthcheck (2.6.22) stable; urgency=medium

  * Updated our disc-space checker to show human-readable output, when
    raising alerts (#37).

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 25 Aug 2017 11:44:11 +0200

bytemark-healthcheck (2.6.21) stable; urgency=medium

  * Permit file-modes to be 0755 and 0775 when testing system directories.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 27 Jul 2017 09:08:07 +0200

## bytemark-healthcheck 2.6.26

=== debian/changelog ===
bytemark-healthcheck (2.6.26) stable; urgency=low

  * Setup IPv6-flags on our UDP connection to ntp.bytemark.co.uk

 -- Steve Kemp <steve.kemp@bytemark.co.uk>  Tue, 03 Oct 2017 13:55:31 +0000

bytemark-healthcheck (2.6.25) stable; urgency=medium

  * Disable btrfs due to incompatibility with hosts running ruby 1.8

 -- Ian Chilton <ian.chilton@bytemark.co.uk>  Tue, 29 Sep 2017 16:28:00 +0000

bytemark-healthcheck (2.6.24) stable; urgency=medium

  * Deploy a new meta-data checker for ALL known btrfs mounts.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 9 Sep 2017 12:33:21 +0200

bytemark-healthcheck (2.6.23) stable; urgency=medium

  * Updated our disc-space checker to show human-readable output, on
    the root filesystem.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 30 Aug 2017 08:55:08 +0200

## bytemark-healthcheck 2.6.32

=== debian/changelog ===
bytemark-healthcheck (2.6.32) stable; urgency=low

  * We now build/package for Squeeze in addition to wheezy/jessie/etc.

 -- Steve Kemp <steve.kemp@bytemark.co.uk>  Wed, 03 Jan 2018 10:22:01 +0000

bytemark-healthcheck (2.6.31) stable; urgency=low

  * This updates bond_check to raise an alert if any of the slaves
    in an LACP bonded interface are showing as down.

 -- Ian Chilton <ian.chilton@bytemark.co.uk>  Fri, 22 Dec 2017 16:48:52 +0000

bytemark-healthcheck (2.6.30) stable; urgency=low

  * This is a NOP release with zero changes, specifically so that we can
    pin this release with Puppet, to ensure that no hosts are ever accidentally
    upgraded when we're ready to continue our transition to a new puppet-based
    deployment recipe.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 11 Dec 2017 09:09:09 +0200

bytemark-healthcheck (2.6.29) stable; urgency=medium

  * Replicate previous change to /etc/bytemark-healthcheck

 -- Ian Chilton <ian.chilton@bytemark.co.uk>  Wed, 29 Nov 2017 18:19:12 +0000

bytemark-healthcheck (2.6.28) stable; urgency=medium

  * Remove check for aggregated bonding links.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 29 Nov 2017 17:55:12 +0000

bytemark-healthcheck (2.6.27) stable; urgency=low

  * Duplicate all tests to a new directory /etc/bytemark/healthcheck
  * This will be the sole location in the future.

 -- Steve Kemp <steve.kemp@bytemark.co.uk>  Thu, 12 Oct 2017 13:05:06 +0000

## bytemark-healthcheck 2.6.34~32788.b90972b

=== debian/changelog ===
bytemark-healthcheck (2.6.34~32788.b90972b) stable; urgency=low

  **** SNAPSHOT BUILD ****

 -- Ian Chilton <ian.chilton@bytemark.co.uk>  Wed, 7 Feb 2018 08:42:38 +0000

bytemark-healthcheck (2.6.33) stable; urgency=low

  * Allow a custom-prefix to be prepended to all alerts which are raised.

 -- Steve Kemp <steve.kemp@bytemark.co.uk>  Tue, 06 Jan 2018 15:55:51 +0000

## bytemark-healthcheck 2.6.34~32838.gbp0e4612

=== Makefile ===

manpages/%.man: ./sbin/%
	[ -d ./manpages ] || mkdir ./manpages
	$<  --help | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@

manpages: ./manpages/bytemark-healthcheck.man


clean:
	@if [ -d ./manpages ] ; then rm -rf ./manpages ; fi

test:
	cd tests && ./run-tests

=== debian/changelog ===
bytemark-healthcheck (2.6.34~32838.gbp0e4612) UNRELEASED; urgency=medium

  ** SNAPSHOT build @0e46123e9ea1f5546505de5a5ef991f1eb787d31 **

  [ Steve Kemp ]
  * We've bumped the tests now we've removed the extra heartbeat

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Wed, 07 Feb 2018 13:47:09 +0000

## bytemark-healthcheck 2.6.34ubuntu1~36897.gbp312ad7

=== debian/changelog ===
bytemark-healthcheck (2.6.34ubuntu1~36897.gbp312ad7) UNRELEASED; urgency=medium

  ** SNAPSHOT build @312ad7eabfb8ac1627fa2398649b71e5305cbe0e **

  [ Steve Kemp ]
  * Actually report upon the jobs that are executed.

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Thu, 08 Mar 2018 07:23:39 +0000

bytemark-healthcheck (2.6.34) stable; urgency=low

  * Change the default location jobs are located in.  We've changed the
    default from /etc/bytemark-healthcheck to /etc/bytemark/healthcheck.
  * The value can be changed via the settings-file if we need to revert
    this without waiting for a new release.

 -- Steve Kemp <steve.kemp@bytemark.co.uk>  Thu, 08 Mar 2018 09:11:11 +0000

## bytemark-healthcheck 2.7.0~81629.d4e9153

=== debian/changelog ===
bytemark-healthcheck (2.7.0~81629.d4e9153) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Remove the prefixless heartbeat alert as it would get cleared by the use
    of the "replace" flag in the mauve update (!52).
  * Tidied up build process to use bundler in testing, and not to require
    mauvealert-client in packaging (!53)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 12 Dec 2018 11:23:11 +0000

=== debian/control ===
Source: bytemark-healthcheck
Section: admin
Priority: extra
Maintainer: Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), ruby | ruby-interpreter, txt2man
Standards-Version: 3.9.8

Package: bytemark-healthcheck
Architecture: all
Depends: ruby-interpreter | ruby, ethtool, pciutils, mauvealert-client, smartmontools, ${misc:Depends}
Description: Basic local monitoring of a server
 This package contains a self-scheduling health-checker for servers.
 .
 It is designed to be installed upon all Bytemark hosts, both internal
 and clients, and test the health of the host.

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#

%:
	dh $@


override_dh_auto_test:
	echo 'no test'

## bytemark-healthcheck 2.7.0~88889.5b56a10

=== debian/changelog ===
bytemark-healthcheck (2.7.0~88889.5b56a10) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Remove the prefixless heartbeat alert as it would get cleared by the use
    of the "replace" flag in the mauve update (!52).
  * Tidied up build process to use bundler in testing, and not to require
    mauvealert-client in packaging (!53)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 12 Dec 2018 11:23:13 +0000

## bytemark-healthcheck 2.7.0~262432.a56e9eb

=== debian/changelog ===
bytemark-healthcheck (2.7.0~262432.a56e9eb) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Remove the prefixless heartbeat alert as it would get cleared by the use
    of the "replace" flag in the mauve update (!52).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 12 Dec 2018 11:23:11 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Steve Kemp <steve@bytemark.co.uk>
-Build-Depends: debhelper (>= 7.0.0), ruby | ruby-interpreter, txt2man
+Build-Depends: debhelper (>= 7.0.0), ruby | ruby-interpreter, mauvealert-client, txt2man
 Standards-Version: 3.9.8
 
 Package: bytemark-healthcheck
